from uuid import UUID

from pydantic import BaseModel, ConfigDict


class UserBaseSchema(BaseModel):
    username: str | None = None
    password: str | None = None


class UserIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class UserSchema(UserBaseSchema, UserIdSchema):
    pass
